Bug 1207216 - perl-DBD-Firebird: buffer overflow in error messages handling in IB_SQLtimeformat()
Summary: perl-DBD-Firebird: buffer overflow in error messages handling in IB_SQLtimefo...
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1207217 1207218
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-30 12:53 UTC by Vasyl Kaigorodov
Modified: 2019-09-29 13:31 UTC (History)
3 users (show)

Fixed In Version: DBD-Firebird 1.19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 02:40:39 UTC


Attachments (Terms of Use)

Description Vasyl Kaigorodov 2015-03-30 12:53:14 UTC
A buffer overflow has been fixed in DBD-Firebird, a DBI driver for
Firebird RDBMS server, in version 1.19:

 [1] https://metacpan.org/source/DAM/DBD-Firebird-1.19/Changes
 [2] https://bugs.debian.org/780925

Upstream patch:
https://anonscm.debian.org/cgit/pkg-perl/packages/libdbd-firebird-perl.git/commit/?id=0416e0b26c8f8683382fb4d93b6fc343f5828f06

CVE request: http://seclists.org/oss-sec/2015/q1/1047

Comment 1 Vasyl Kaigorodov 2015-03-30 12:54:09 UTC
Created perl-DBD-Firebird tracking bugs for this issue:

Affects: fedora-all [bug 1207217]
Affects: epel-all [bug 1207218]

Comment 2 Fedora Update System 2015-04-18 09:32:04 UTC
perl-DBD-Firebird-1.19-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 3 Fedora Update System 2015-04-18 09:54:50 UTC
perl-DBD-Firebird-1.19-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2015-04-20 18:38:21 UTC
perl-DBD-Firebird-1.19-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2015-04-20 18:38:59 UTC
perl-DBD-Firebird-1.19-1.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2015-04-21 18:53:02 UTC
perl-DBD-Firebird-1.19-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Robert Scheck 2015-09-14 21:43:54 UTC
This issue has been solved in all active branches, please close this bug.

Comment 8 Product Security DevOps Team 2019-06-08 02:40:39 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.